package com.persagy.adm.server.auth.controller;

import cn.hutool.core.io.IoUtil;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.persagy.adm.server.auth.domain.LoginVo;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.common.utils.ResultHelper;
import com.persagy.dmp.file.model.FileInfo;
import com.persagy.dmp.file.model.FileInfoCreator;
import com.persagy.dmp.file.utils.FileStorageHelper;
import lombok.SneakyThrows;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.imageio.ImageIO;
import javax.servlet.http.HttpServletResponse;
import java.awt.*;
import java.io.IOException;
import java.io.InputStream;

/**
 * 00-登录及权限控制
 * 后端服务名:adm-server
 * @author lvxy
 * @date 2021/8/25
 * @module adm-server
 */
@RestController
@RequestMapping("/auth")
public class AdmAuthController {

    /**
     * 000101-登录-登录接口
     * @param loginVo : 登录信息
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.lang.String>
     * @author : lijie
     * Update By 2022/1/7 21:57
     */
    @PostMapping("/account/login")
    public CommonResult<String> accountLogin(@RequestBody LoginVo loginVo) {
        return ResultHelper.single("eyJhbGciOiJIUzI1NiJ9.eyJhdWQiOiJ5dXNodS1zYWFzLWNsaWVudCIsInN1YiI6Inl1c2h1LXVzZXIiLCJpc3MiOiJ5dXNodSIsImp0aSI6IjUxNmM2MGFjLWYyNDUtNGFjMC05MjliLTY0MjJkYTk3MjA5ZCJ9.XifozaE83Dktuh9WFCUp10lLt_HP1c5YzFWPBRX53AI");
    }



}
