package com.persagy.adm.server.auth.domain;

import com.persagy.adm.server.auth.constant.DeviceTypeEnum;
import com.persagy.adm.server.auth.constant.LoginTypeEnum;

/***
 * Description: 登录的VO类
 * @author : lijie
 * Update By 2022/1/7 21:41
 */
public class LoginVo {
    /**
     * 账号id
     */
    private String accountId;
    /**
     * 登录设备类型
     * @see DeviceTypeEnum#type
     */
    private String loginDeviceType;
    /**
     * 登录方式
     * @see LoginTypeEnum#type
     */
    private String loginType;
    /**
     * 登录密码
     */
    private String passWord;
    /**
     * 钉钉扫码的code
     */
    private String dingdingCode;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 短信验证码
     */
    private String smsCode;
    /**
     * 登录用户名
     */
    private String userName;
}
